/* This code was written by:
Keir Lauritzen, Leon Song, and Guy Yardeni */

#ifndef __WRAPPER_H__
#define __WRAPPER_H__

extern void* create();

char *malloc_string(char *string);

extern void destroy(void* map);

extern int array_add_string(void *map, char *key, char* value);

extern int array_add_float(void* map, char* key, double value);

extern int lookup(void* map, char* key);

extern int array_remove(void* map, char* key);

extern char* array_retrieve_string(void* map, char* key);

extern double array_retrieve_float(void *map, char* key);

extern void destroy_all();

#endif